{: test a compilation error occurs for a variant record with unknown case type }

{$d+}
program e017( output );

var
   i : integer;
   r : record
          case bolean of {!!! unknown type }
            true : (ma, mb : array[1..10] of real);
            false: (mx     : array[1..10] of real);
       end;
begin {e017}

   for i := 1 to 10 do r.ma[i] := i+9;
   r.mb := r.ma;  {OK}

   writeln( 'fails: variant record case type error not detected' );

end. {e017}

